# coding: utf-8
lib = File.expand_path('../lib', __FILE__)
$LOAD_PATH.unshift(lib) unless $LOAD_PATH.include?(lib)
require 'ruby_rides/version'

Gem::Specification.new do |spec|
  spec.name          = "ruby_rides"
  spec.version       = RubyRides::VERSION
  spec.authors       = ["Matt Clement"]
  spec.email         = ["darkmoves@gmail.com"]
  spec.description   = %q{Access to Hubway data set through API.}
  spec.summary       = %q{This is a ruby wrapper to access data in the Hubway API. Specifically, a list of data for each Hubway station is accessible as well as a hash with lat/long data for each station, using staiton name as a hash key.}
  spec.homepage      = "https://github.com/darkmoves/ruby_rides"
  spec.license       = "MIT"

  spec.files         = `git ls-files`.split($/)
  spec.executables   = spec.files.grep(%r{^bin/}) { |f| File.basename(f) }
  spec.test_files    = spec.files.grep(%r{^(test|spec|features)/})
  spec.require_paths = ["lib"]

  spec.add_development_dependency "bundler", "~> 1.3"
  spec.add_development_dependency "rake"
  spec.add_development_dependency "httparty"
  spec.add_development_dependency "pry"

end